package eu.eudat.query.engine.builder;

import eu.eudat.query.engine.expressions.Expression;
import eu.eudat.query.engine.predicates.AndPredicate;
import eu.eudat.query.engine.predicates.ComparisonPredicate;

/**
 * Created by ikalyvas on 7/5/2018.
 */
public interface QueryBuilder<T> {

    Expression where(ComparisonPredicate<T> wherePredicate);

    Expression and(AndPredicate<T> andPredicate);

}
